Package: org.codehaus.groovy.classgen.asm.indy

## [Java] Class InvokeDynamicWriter

- org.codehaus.groovy.classgen.asm.indy.InvokeDynamicWriter

-     public class InvokeDynamicWriter
      extends InvocationWriter

  This Writer is used to generate the call invocation byte codes for usage by invokedynamic.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class InvocationWriter` | `castToVargsArray, invokeClosureMethod, invokeMethod, invokeMethodOnCurrent, invokeMethodOnSuper, invokeStaticMethod`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `InvokeDynamicWriter(WriterController wc)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `castNonPrimitiveToBool(ClassNode sourceType)`
    `` | `public void` | `castToNonPrimitiveIfNecessary(ClassNode sourceType, ClassNode targetType)`
    `` | `public void` | `coerce(ClassNode from, ClassNode target)`
    `` | `public void` | `makeSingleArgumentCall(Expression receiver, String message, Expression arguments, boolean safe)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class InvocationWriter` | `castNonPrimitiveToBool, castToNonPrimitiveIfNecessary, coerce, makeArgumentList, makeCall, makeSingleArgumentCall, makeSingleArgumentCall, visitVariableExpression, writeInvokeConstructor, writeInvokeMethod, writeInvokeStaticMethod, writeSpecialConstructorCall`

- - ### Constructor Detail

    - #### public InvokeDynamicWriter(WriterController wc)

  - ### Method Detail

    - #### @Override
      public void castNonPrimitiveToBool(ClassNode sourceType)

    - #### @Override
      public void castToNonPrimitiveIfNecessary(ClassNode sourceType, ClassNode targetType)

    - #### @Override
      public void coerce(ClassNode from, ClassNode target)

    - #### @Override
      public void makeSingleArgumentCall(Expression receiver, String message, Expression arguments, boolean safe)